什么是:[drm]错误在暂停之前检测到未认领的访问
我在 dmesg 中收到此错误:
i915 0000:00:02.0: [drm] *ERROR* Unclaimed access detected prior to suspending
Ubuntu 24.04.2 LTS ,
NUC 13 Pro 英特尔酷睿 i5
有人知道这是什么意思吗?
什么是:[drm]错误在暂停之前检测到未认领的访问
我在 dmesg 中收到此错误:
i915 0000:00:02.0: [drm] *ERROR* Unclaimed access detected prior to suspending
Ubuntu 24.04.2 LTS ,
NUC 13 Pro 英特尔酷睿 i5
有人知道这是什么意思吗?
我有 Ubuntu 22.04 LTS 并在这篇文章之后安装了 Atom 。从图标启动后,窗口打开但保持空白,然后在几秒钟内崩溃。在终端上我得到:
$ atom
/usr/bin/atom: line 195: 30027 Illegal instruction (core dumped) nohup "$ATOM_PATH" --executed-from="$(pwd)" --pid=$$ "$@" > "$ATOM_HOME/nohup.out" 2>&1
[30027:0429/141844.105294:FATAL:gpu_data_manager_impl_private.cc(439)] GPU process isn't usable. Goodbye.
--2022-04-29 14:18:44-- https://atom.io/crash_reports
Resolving atom.io (atom.io)... 20.119.16.4
Connecting to atom.io (atom.io)|20.119.16.4|:443... connected.
HTTP request sent, awaiting response... 204 No Content
2022-04-29 14:18:45 (0.00 B/s) - ‘/dev/fd/4’ saved [0]
Unexpected crash report id length
Failed to get crash dump id.
Report Id:
--2022-04-29 14:18:45-- https://atom.io/crash_reports
Resolving atom.io (atom.io)... 20.119.16.4
Connecting to atom.io (atom.io)|20.119.16.4|:443... connected.
HTTP request sent, awaiting response... 204 No Content
2022-04-29 14:18:47 (0.00 B/s) - ‘/dev/fd/4’ saved [0]
Unexpected crash report id length
Failed to get crash dump id.
Report Id:
问题是什么?
我从该站点下载了最新的 ubuntu 以及 rufus。当我选择 iso 文件时,rufus 向我显示 truncated iso 错误。请帮助它告诉我重新下载文件。
我曾经使用 KitScenarist 来安排我的故事场景,但最近它没有打开,使用终端运行它时会出现此错误:
/usr/share/KIT/Scenarist/Scenarist: symbol lookup error: /usr/share/KIT/Scenarist/Scenarist: undefined symbol: _ZN18QWidgetTextControl12processEventEP6QEventRK7QMatrixP7QWidget, version Qt_5_PRIVATE_API
我正在尝试实现一个错误处理程序。它是一个帮助程序,用于检查变量中是否存在错误代码$?
并使用代码和消息退出脚本。
下面的代码非常简单且不言自明,但它不起作用,我根本无法理解发生了什么。我试过$?
作为参数传递给这个函数,但它也不起作用。我错过了什么?
#!/bin/bash
#this line causes error "asd: command not found"
asd
exit_if_error () {
ERROR_STATUS="$1"
ERROR_TEXT="$2"
if [ "$?" != "0" ]; then
# prints an error message on standard error and terminates the script with an exit status
echo "$ERROR_TEXT" 1>&2
exit "$ERROR_STATUS"
fi
}
exit_if_error "1" "Something bad happened"
echo "No errors during execution"
这也行不通
#!/bin/bash
#this line causes error "asd: command not found"
asd
exit_if_error () {
ERROR="$1"
ERROR_STATUS="$2"
ERROR_TEXT="$3"
if [ "$ERROR" != "0" ]; then
# prints an error message on standard error and terminates the script with an exit status of 1
echo "$ERROR_TEXT" 1>&2
exit "$ERROR_STATUS"
fi
}
exit_if_error "$?" "1" "Something bad happened"
echo "No errors during execution"
您如何处理脚本中的错误?你会写类似这样的代码吗?我只是想找到一个不那么冗长的解决方案。
command_a
if [ "$?" != "0" ]; then
echo "command_a failed..." 1>&2
exit 1
fi
command_b
if [ "$?" != "0" ]; then
echo "command_b failed..." 1>&2
exit 1
fi
...
我正在尝试安装需要安装某些库的 WRF 天气软件( http://www2.mmm.ucar.edu/wrf/OnLineTutorial/compilation_tutorial.php#STEP7 )。我可以解压缩 zip 文件,运行configure
并make
执行得很好,但是当我尝试时make install
,我收到以下错误:
make install-recursive
make[1]: Entering directory '/home/jmaloney1985/Desktop/Programs/Build_WRF/LIBRARIES/mpich-3.0.4'
Making install in src/mpl
make[2]: Entering directory '/home/jmaloney1985/Desktop/Programs/Build_WRF/LIBRARIES/mpich-3.0.4/src/mpl'
make[3]: Entering directory '/home/jmaloney1985/Desktop/Programs/Build_WRF/LIBRARIES/mpich-3.0.4/src/mpl'
/usr/bin/mkdir -p '/{path_to_dir}/Build_WRF/LIBRARIES/mpich/lib'
/usr/bin/mkdir: cannot create directory ‘/{path_to_dir}’: Permission denied
make[3]: *** [Makefile:409: install-libLTLIBRARIES] Error 1
make[3]: Leaving directory '/home/jmaloney1985/Desktop/Programs/Build_WRF/LIBRARIES/mpich-3.0.4/src/mpl'
make[2]: *** [Makefile:893: install-am] Error 2
make[2]: Leaving directory '/home/jmaloney1985/Desktop/Programs/Build_WRF/LIBRARIES/mpich-3.0.4/src/mpl'
make[1]: *** [Makefile:23607: install-recursive] Error 1
make[1]: Leaving directory '/home/jmaloney1985/Desktop/Programs/Build_WRF/LIBRARIES/mpich-3.0.4'
make: *** [Makefile:23930: install] Error 2
对此有什么想法?非常感谢任何输入。
谢谢!
我是 Ubuntu 的新手,我试图下载凉亭 11,但现在每次我尝试更新或安装它时都会出现这个错误说
E: 列表文件 /etc/apt/sources.list.d/gazebo-stable.list (Suite) 中的条目 1 格式错误 E: 源列表无法读取。
这些是文件内容
deb http://packages.osrfoundation.org/gazebo/ubuntu-stable 仿生主
你能帮我吗?谢谢
我尝试了很多不同的东西,所以我需要一些帮助!谢谢!
*更新: ls -l /boot 的输出是:
mint@mint:~$ ls -l /boot
total 4858
-rw------- 1 root root 4736015 Apr 20 16:33 System.map-5.4.0-26-generic
-rw-r--r-- 1 root root 237718 Apr 20 16:33 config-5.4.0-26-generic
drwxr-xr-x 1 root root 60 Sep 30 19:35 grub
lrwxrwxrwx 1 root root 27 Jun 24 18:38 initrd.img -> initrd.img-5.4.0-26-generic
lrwxrwxrwx 1 root root 27 Jun 24 18:38 initrd.img.old -> initrd.img-5.4.0-26-generic
lrwxrwxrwx 1 root root 24 Jun 24 18:38 vmlinuz -> vmlinuz-5.4.0-26-generic
lrwxrwxrwx 1 root root 24 Jun 24 18:38 vmlinuz.old -> vmlinuz-5.4.0-26-generic
我正在尝试使用 wine 安装一个名为 UTAU 的日文应用程序,但是每当我打开安装程序时,它都不会正确显示日文字符,而只会显示一个黑色方块。我的语言环境 ja_JP.utf8 是我用来打开它的那个LANG=ja_JP.UTF8 wine ~/Path/to/installer.exe
(主要问题)
另外,当我在终端上用 wine 打开安装程序时,我得到了这个(其他博客说没什么)
0032:err:mscoree:LoadLibraryShim error reading registry key for installroot
0032:err:mscoree:LoadLibraryShim error reading registry key for installroot
0032:err:mscoree:LoadLibraryShim error reading registry key for installroot
0032:err:mscoree:LoadLibraryShim error reading registry key for installroot
编辑:忘了提,我的 unbuntu 是 18.04 和 wine 3.0
更新:更改为 wine 5.0.1,现在我启动 .exe 时的错误是不同的
000f:err:service:process_send_command receiving command result timed out
000f:fixme:service:scmdatabase_autostart_services Auto-start service L"WineBus" failed to start: 1053
0032:fixme:ntdll:NtLockFile I/O completion on lock not implemented yet
0032:fixme:ntdll:NtQuerySystemInformation info_class SYSTEM_PERFORMANCE_INFORMATION
它更长,但使用-O shift-jis
选项严格原始文件消除了其中一些。